/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

// BaseCmds.h -- basic commands

#ifndef _basecmds_h_
#define _basecmds_h_

#include "cmdhdl.h"

class VerbCmd : public CmdHdl {
public:
    VerbCmd() : CmdHdl(0, 0) {}
    virtual bool translate(Stream *);
    virtual bool scan(Stream *);
};

class BreakingCmd {
protected:
    int fLevel;
    char fLevelStr[32];
    virtual void nextFile(Stream *);
    virtual void putContents(Stream *, const char *);
public:
    BreakingCmd(int lev) {
        fLevel = lev;
        sprintf(fLevelStr, "%d", lev);
    }
};

extern VerbCmd gVerbCmd;

void SetBreakLevel(int);

void initBasicCmds();

#endif // _basecmds_h_
