/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

// counter.h -- counter class for the MuPAD documentation

#include <list>
#include <map>

class Counter {
 protected:
  int num;
  std::list<Counter*> children;
  void resetChildren(void) {
	  for( std::list<Counter*>::iterator kid = children.begin();
	 kid != children.end(); ++kid )
      (*kid)->reset();
  }    
 public:
  Counter(int start) : num(start) {}
  Counter() : num(0) {}
  void addChild(Counter *kid) { children.push_back( kid ); }
  void operator++(void) {
    resetChildren();
    ++num;
  }
  void reset(void) {
    resetChildren();
    num=0;
  }
  int get(void) { return num; }
};

const int kNumSectCounter=6;
extern Counter *gSectCounter;

extern std::map<std::pair<string,string>, int> gLocalLables;
extern std::map<std::string,int> gLables;
