/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

// error.c -- error handling

#include <stdlib.h>
#include <stdio.h>
#include "error.h"
#include "files.h"

void 
doExit(int n) {
    ExitToc(n==0);
    exit(n);
}

void 
fatal(char *s1, char *s2, char *s3)
{
#ifdef MW
    fprintf(stderr, "Fatal error: %s%s%s\nquit now\n", s1, s2, s3);
#else
    fprintf(stderr, "Fatal error: %s%s%s\n", s1, s2, s3);
#endif
    doExit(1);
}

void 
error(char *s1, char *s2, char *s3)
{
    fprintf(stderr, "Error: %s%s%s\n", s1, s2, s3);
}

void 
warning(char *s1, char *s2, char *s3)
{
    fprintf(stderr, "Warning: %s%s%s\n", s1, s2, s3);
}

// end of file
