/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */

// files.h -- globally used file streams

#ifndef _files_h_
#define _files_h_

#include <stdio.h>
#include "type.h"
#include "stream.h"

#include <list>
#include <string>

using std::list;
using std::string;

void OpenHTMLFile(const char *);
void OpenNextHTMLFile(Stream *);
void CloseHTMLFile();
char *GetHTMLFileName();
void GetContextFileNames(char *, char *, char *);
void Putc(char);
void Puts(const char *);
void Putc2(char);
void Puts2(const char *);
void Putnl();
void PutPar();
void PutVerbc(char);

FILE *OpenOldTocFile();
bool OpenNewTocFile();
void PutTocs(const char *);
void ExitToc(bool rename);

FILE *OpenOldContFile();
bool OpenNewContFile();
void PutConts(const char *);
void ExitCont(bool rename);

FILE *OpenOldHeaderFile();
bool OpenNewHeaderFile();
void PutHeaders(const char *);
void ExitHeader(bool rename);

FILE *OpenOldAuxFile();
bool OpenNewAuxFile();
void PutAux(const char*);
void ExitAux(bool rename);
void ReadAux(Stream *);
void PutLabel(const string&, int);
void PutLocalLabel(const string&, int);

void PutHeader(Stream *);
void PutFooter(Stream *);
void PutContents(Stream *);

void PutLabelAlias(const char*);

extern list<string> gFilenames;

#endif // _files_h_

