#/usr/local/MATH/bin/perl

# /*
#  * This file is Copyright 2002 by SciFace Software GmbH.
#  * It is part of a public prerelease, but may *not* be redistributed.
#  * See the accompanying README file for details.
#  */


# make STDOUT flushing
select((select(STDOUT), $| = 1)[0]);

# get *.hla and *.html files
opendir(WDIR, ".");
@hlafiles = grep(/\.hla$/i, readdir(WDIR));
rewinddir(WDIR);
@htmlfiles = grep((/\.html$/i || /\.htm$/i), readdir(WDIR));
closedir(WDIR);

# put aliases into hash
print "Collecting aliases";
foreach $fname (@hlafiles) {
    open(HLAF, $fname) || die "Can't open $fname\n";
    while (<HLAF>) {
	chop $_;
	($alias,$ref) = split(/\t/, $_, 2);
	$refs{$alias} = $ref;
    }
    close(HLAF);
    print ".";
}
print "\n";

# fix the references in the html files
print "Fixing references";
foreach $fname (@htmlfiles) {
    open(HTMLF, $fname) || die "Can't open $fname\n";
    open(OUTF, ">_".$fname) || die "Can't open _$fname\n";
    while (<HTMLF>) {
	while (($alias,$ref) = each(%refs)) {
	    s/"$alias"/"$ref"/g
	}
	print OUTF $_;
    }
    close(HTMLF);
    close(OUTF);
    print ".";
}
print "\n";

# renaming output files
print "Cleaning up\n";
foreach $fname (@htmlfiles) {
    rename("_".$fname, $fname);
}

