# kg, 22/05/96
# 
# 
# /*
#  * This file is Copyright 2002 by SciFace Software GmbH.
#  * It is part of a public prerelease, but may *not* be redistributed.
#  * See the accompanying README file for details.
#  */
# 
# 
#
# mh2html.pl -- PERL-Script zur Konvertierung von Mhelp-TeX-Files in HTML
#
# Benutzung:
#
#   perl mh2html.pl [-e|-g] <texfiles...>	-- konvertiert die <texfiles...>
#   perl mh2html.pl [-e|-g]			-- konvertiert alle .mu-Files
#
#   -e  -- Englisch
#   -g  -- Deutsch

$mhdir = "c:\\mupad\\mh2html";
$bindir = "$mhdir\\debug";
$mh2html = "$bindir\\mh2html.exe";
$deffile = "$mhdir\\mh2html.def";
$lang = "";
@args = ();

foreach $arg (@ARGV) {
    if ($arg eq "-e") { 
        $lang = "";
    } else { 
        if ($arg eq "-g") { 
	    $lang = "-D german";
	} else { 
	    $args[++$#args] = $arg;
	}
    }
}
    
if ($#args == -1) {
    # get all .tex files
    opendir(TEXDIR, ".");
    @args = readdir(TEXDIR);
    closedir(TEXDIR);
    @args = grep(/\.tex$/, @args);
}

foreach $arg (@args) {
    if ($arg =~ /([^.]+)\.tex$/) {
        $base = $1;
    } else {
	$base = $arg;
    }
    $texf = "$base.tex";
    print "Converting $texf\n";
    system("$mh2html $lang -d $deffile $texf");
}

# end of file
