/*
 * This file is Copyright 2002 by SciFace Software GmbH.
 * It is part of a public prerelease, but may *not* be redistributed.
 * See the accompanying README file for details.
 */


/*
 * Programming utilities
 */

#include "charhdl.h"
#include "mhlpcmds.h"
#include <string>
#include <vector>

class localScanner {
 private:
  Scanner *orig;
 public:
  localScanner(Scanner *newScanner) {
    orig = gScanner;
    gScanner = newScanner;
  }
  ~localScanner() { gScanner = orig; }
};

class localParaType {
 private:
  ParaType orig;
 public:
  localParaType(ParaType newPara) {
    orig = gParaType;
    gParaType = newPara;
  }
  ~localParaType() { gParaType = orig; }
};

inline
std::vector<std::string> split_string(const std::string &in, char split_at) {
  std::vector<std::string> res;
  size_t from, to;

  from=0, to=0;
  while(to < in.length()) {
    to = in.find(split_at, from);
    res.push_back(in.substr(from, to-from-1));
    from = to+1;
  }
  return res;
}
